INTERFACE
SUBROUTINE DIWRGRID(KIOPROC,KNUM,KIND,KDIM,PREAL)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMGEM , ONLY : NLOENG ,NGPTOT ,NGPTOTG ,NGPTOTMX
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KIOPROC
INTEGER(KIND=JPIM),INTENT(IN) :: KNUM
INTEGER(KIND=JPIM),INTENT(IN) :: KIND
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREAL(KDIM)
END SUBROUTINE DIWRGRID
END INTERFACE
